Summary:	PCMan File Manager
Name:		pcmanfm
Version:	1.3.2
Release:	%mkrel 5.git20241103.1
License:	GPLv2+
Group:		File tools
URL:		https://github.com/lxde/pcmanfm
Source0:	https://github.com/lxde/%name/archive/refs/heads/master.zip
Patch0:		pcmanfm-1.2.4-mga-default-config.patch
Patch2:		pcmanfm-1.2.4-mga-lxde-only.patch
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.18.0
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libfm) >= 1.0.1
BuildRequires:	pkgconfig(libfm-gtk3) >= 1.0.1
BuildRequires:	pkgconfig(pango) >= 1.20.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
Requires:	shared-mime-info
Requires:	gnome-icon-theme
Requires:	xarchiver
Recommends:	gvfs

%description
PCMan File Manager is an extremely fast and lightweight file manager which
features tabbed browsing and user-friendly interface.

%prep
%setup -qn %name-master
%autopatch -p1

%build
autoreconf -vfi
%configure --with-gtk=3
%make_build

%install
%make_install

%find_lang %{name}

rm -fr %{buildroot}%{_includedir}

# clean .desktop file
desktop-file-install --vendor="" \
  --add-category="System;FileTools" \
  --remove-mime-type="x-directory/normal" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%dir %{_sysconfdir}/xdg/%{name}/
%dir %{_sysconfdir}/xdg/%{name}/default/
%{_sysconfdir}/xdg/%{name}/default/%{name}.conf
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Nov 12 2024 ns80 <ns80> 1.3.2-5.git20241103.1.mga10
+ Revision: 2114568
- update to latest git snapshot

* Tue Sep 10 2024 ns80 <ns80> 1.3.2-5.git20240821.1.mga10
+ Revision: 2094874
- update to latest git snapshot

* Tue Apr 02 2024 ns80 <ns80> 1.3.2-5.git20230901.2.mga10
+ Revision: 2053877
- fix build with GCC14

* Mon Sep 04 2023 ns80 <ns80> 1.3.2-5.git20230901.1.mga10
+ Revision: 1984033
- update to latest git snapshot

* Wed Aug 30 2023 ns80 <ns80> 1.3.2-5.git20230807.1.mga10
+ Revision: 1981736
- update to latest git snapshot

* Sun Oct 23 2022 wally <wally> 1.3.2-4.mga9
+ Revision: 1898586
- drop unneeded gksu-polkit requires
- drop old conflicts
- update URL

* Tue Mar 08 2022 ns80 <ns80> 1.3.2-3.mga9
+ Revision: 1789786
- add upstream patch to update Icelandic translation of Pcmanfm

* Tue Mar 02 2021 ns80 <ns80> 1.3.2-2.mga9
+ Revision: 1695925
- build with GTK 3

* Tue Feb 09 2021 ns80 <ns80> 1.3.2-1.mga9
+ Revision: 1675077
- new version 1.3.2

* Tue Feb 02 2021 kekepower <kekepower> 1.3.1-3.git20210129.2.mga8
+ Revision: 1674479
- pcmanfm requires xarchiver to extract compressed files

* Tue Feb 02 2021 ns80 <ns80> 1.3.1-3.git20210129.1.mga8
+ Revision: 1674468
- update to latest git snapshot

* Mon Mar 30 2020 ns80 <ns80> 1.3.1-3.git20200328.1.mga8
+ Revision: 1562305
- add upstream patch to fix pcmanfm hang when using Ctlr+C

* Sat Feb 15 2020 umeabot <umeabot> 1.3.1-3.git20190224.2.mga8
+ Revision: 1523465
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 04 2019 ns80 <ns80> 1.3.1-3.git20190224.1.mga7
+ Revision: 1371363
- update to latest git snapshot

* Thu Jan 10 2019 ns80 <ns80> 1.3.1-2.mga7
+ Revision: 1354186
- add upstream patch to avoid undefined 'isdigit()' behaviour

* Tue Dec 18 2018 ns80 <ns80> 1.3.1-1.mga7
+ Revision: 1342541
- new version 1.3.1

* Mon Dec 17 2018 ns80 <ns80> 1.3.0-4.mga7
+ Revision: 1342282
- add upstream patches to allow bigger sizes of icons and thumbnails and to update translations

* Sat Dec 15 2018 wally <wally> 1.3.0-3.mga7
+ Revision: 1341446
- own dirs under /etc/xdg/pcmanfm

* Sun Sep 23 2018 umeabot <umeabot> 1.3.0-2.mga7
+ Revision: 1300136
- Mageia 7 Mass Rebuild

* Mon Apr 30 2018 ns80 <ns80> 1.3.0-1.mga7
+ Revision: 1223954
- new version 1.3.0

* Tue Apr 17 2018 ns80 <ns80> 1.2.5-4.git20180417.1.mga7
+ Revision: 1219635
- update to latest git snapshot

* Mon Jan 08 2018 ns80 <ns80> 1.2.5-3.mga7
+ Revision: 1191493
- update to latest git snapshot for various fixes

* Mon May 15 2017 ns80 <ns80> 1.2.5-2.mga7
+ Revision: 1101695
- add upstream patch to fix potential access violation

* Mon Dec 12 2016 ns80 <ns80> 1.2.5-1.mga6
+ Revision: 1074321
- new version 1.2.5

* Mon Dec 05 2016 ns80 <ns80> 1.2.4-5.mga6
+ Revision: 1072529
- fix several upstream bugs

* Fri Jun 17 2016 ns80 <ns80> 1.2.4-4.mga6
+ Revision: 1022013
- add patch correct-translations (https://sourceforge.net/p/pcmanfm/bugs/995/)

* Tue Mar 08 2016 ns80 <ns80> 1.2.4-3.mga6
+ Revision: 987323
- set desktop font size to 11 to fix mga#17905

* Wed Mar 02 2016 ns80 <ns80> 1.2.4-2.mga6
+ Revision: 982937
- re-enable displaying trash on the desktop by using pcmanfm feature (mga#14210)

* Sun Feb 21 2016 ns80 <ns80> 1.2.4-1.mga6
+ Revision: 975302
- new version 1.2.4
- rediff patch lxde-only

* Tue Feb 09 2016 umeabot <umeabot> 1.2.3-3.mga6
+ Revision: 950980
- Mageia 6 Mass Rebuild

* Thu Nov 27 2014 alexl <alexl> 1.2.3-2.mga5
+ Revision: 799584
- show pcmanfm-desktop-pref.desktop in LXDE only (mga#14635)

* Wed Oct 22 2014 alexl <alexl> 1.2.3-1.mga5
+ Revision: 792488
- fix double trash icon (disable-trash.patch) (mga#14210)
- version 1.2.3 (mga#14288)

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 746051
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-2.mga5
+ Revision: 683367
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Aug 27 2014 fwang <fwang> 1.2.2-1.mga5
+ Revision: 668569
- 1.2.2

* Fri Jul 04 2014 fwang <fwang> 1.2.1-1.mga5
+ Revision: 643096
- 1.2.1
+ wally <wally>
- require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Wed Feb 19 2014 fwang <fwang> 1.2.0-1.mga5
+ Revision: 594613
- drop unused file
- 1.2.0

* Mon Dec 09 2013 zezinho <zezinho> 1.1.2-3.mga4
+ Revision: 556060
- migrate to gksu-polkit

* Sat Oct 19 2013 umeabot <umeabot> 1.1.2-2.mga4
+ Revision: 531953
- Mageia 4 Mass Rebuild

* Tue Aug 13 2013 fwang <fwang> 1.1.2-1.mga4
+ Revision: 466024
- new version 1.1.2

* Tue Jul 23 2013 fwang <fwang> 1.1.1-1.mga4
+ Revision: 457376
- new version 1.1.1

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-4.mga3
+ Revision: 362647
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 zezinho <zezinho> 1.1.0-3.mga3
+ Revision: 320015
- require gksu as it is used by default conf file #6668

* Thu Nov 08 2012 fwang <fwang> 1.1.0-2.mga3
+ Revision: 316374
- fix wrong zh_CN translation

* Mon Nov 05 2012 fwang <fwang> 1.1.0-1.mga3
+ Revision: 314338
- new version 1.1.0

* Wed Oct 31 2012 fwang <fwang> 1.0.2-1.mga3
+ Revision: 311716
- new version 1.0.2

* Fri Sep 21 2012 fwang <fwang> 1.0.1-1.mga3
+ Revision: 296541
- update file list
- new version 1.0.1

* Mon Oct 31 2011 zezinho <zezinho> 0.9.10-1.mga2
+ Revision: 160462
+ rebuild (emptylog)

* Fri Apr 08 2011 ahmad <ahmad> 0.9.8-4.mga1
+ Revision: 82018
- default wallpaper is still in /usr/share/mga/backgrounds (even if the plan was
  to drop the distro specific /mga/ ..)

* Sat Feb 05 2011 ahmad <ahmad> 0.9.8-3.mga1
+ Revision: 47039
- default wallpaper is now /usr/share/backgrounds/default.jpg
- imported package pcmanfm


* Sat Dec 04 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.8-2mdv2011.0
+ Revision: 609297
- add upstream patch to  fix some IPC issues; this should fix pcmanfm
  not opening except one instance

* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 0.9.8-1mdv2011.0
+ Revision: 602286
- new versio 0.9.8

* Mon Jul 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.7-0.rc1.3mdv2011.0
+ Revision: 560860
- conflicts with lxde-common < 0.5.5
- svn cp pcmanfm/branches/current to pcmanfm/current, step two of bringing pcmanfm2
  out of the svn branch

* Thu Jul 22 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.7-0.rc1.2mdv2011.0
+ Revision: 557099
- update to 0.9.7 latest git snapshot, this brings more translations and a couple
  of crash fixes
- drop the rename patch, pcmanfm2 has been renamed to pcmanfm upstream

* Tue Apr 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.5-0.beta3.1mdv2010.1
+ Revision: 539857
- new release, beta3, 0.9.5

* Mon Apr 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.4-0.beta2.2mdv2010.1
+ Revision: 539355
- new git snapshot
- rediff renaming patch
- improve the requires and buildrequires
- clean spec

* Mon Apr 19 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.4-0.beta2.1mdv2010.1
+ Revision: 536563
- new release beta2 0.9.4
- rediff rename patch

* Tue Apr 13 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.3-0.beta.2mdv2010.1
+ Revision: 534499
- new git snapshot
- rediff patch0

* Thu Mar 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.3-0.beta.1mdv2010.1
+ Revision: 525017
- new upstream release 0.9.3 beta

* Wed Mar 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.2-0.alpha.1mdv2010.1
+ Revision: 523665
- add pcmanfm.conf directly from inside the spec
- add pcmanfm.conf to configure default background
- only suggest gvfs
- update to latest git to cope with latest libfm
- add patch from OpenSuse to rename files to pcmanfm2, this will happen upstream
  with final release, but it's better to rename it with the patch to not break
  autostart stuff until then
- new version, 0.9.2 alpha
- remove hal-devel and dbus-glib-devel BR, not needed any more
- BR libfm-devel
- require gvfs
- fix typo in descripion
- fix .desktop file
- remove %%mdkversion < 200900 stuff
- drop old patches, and custom .po file


* Thu Jan 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.2.2-1mdv2007.0
+ Revision: 104027
- Add BuildRequires
- New release 0.3.2.2
- Import pcmanfm

* Thu Sep 14 2006 Emmanuel Andry <eandry@mandriva.org> 0.3.0.2-2mdv2007.0
- add buildrequires libstartup-notification-1_0-devel

* Wed Sep 13 2006 Emmanuel Andry <eandry@mandriva.org> 0.3.0.2-1mdk
- New release 0.3.0.2
- xdg menu

* Fri May 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.3-1mdk
- New release 0.2.3

* Fri Apr 21 2006 Austin Acton <austin@mandriva.org> 0.2.2-1mdk
- upload havily modified spec from Shiva Huang <shivahuang@gmail.com>

